travis/build.sh: do chroot_prepare() before building stuff

This commit is contained in:
maxice8 2019-04-11 11:03:56 -03:00 committed by maxice8
parent f4d0b21c6a
commit e4a74c2b2d

View File

@ -1,4 +1,4 @@
#!/bin/sh
#!/bin/bash
#
# build.sh
@ -9,8 +9,19 @@ fi
# Tell xbps-src what is our arch, this is done when doing
# binary-bootstrap, but we need to do it every time since
# our masterdir is ethereal.
/bin/echo -e '\x1b[32mWriting bootstrap arch into .xbps_chroot_init of masterdir\x1b[0m'
echo "$1" > /hostrepo/masterdir/.xbps_chroot_init
# /bin/echo -e '\x1b[32mWriting bootstrap arch into .xbps_chroot_init of masterdir\x1b[0m'
# echo "$1" > /hostrepo/masterdir/.xbps_chroot_init
/bin/echo -e '\x1b[32mPreparing chroot with chroot_prepare()\x1b[0m'
source hostrepo/common/xbps-src/shutils/chroot.sh || {
echo "Failed to source chroot.sh for chroot_prepare()" >&2 ;
exit 1
}
XBPS_SRCPKGDIR=/hostrepo/srcpkgs XBPS_MASTERDIR=/ chroot_prepare $1 || {
echo "Failed to prepare chroot!" >&2 ;
exit 1
}
PKGS=$(/hostrepo/xbps-src sort-dependencies $(cat /tmp/templates))